package zero1hd.polyjet.ui.windows;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Window;

public class FPSWindow extends Window {

	public FPSWindow(String title, Skin skin) {
		super(title, skin);
		Label FPS = new Label("FPS: ", skin, "small-font", skin.getColor("default")) {
			@Override
			public void act(float delta) {
				setText("FPS: " + Gdx.graphics.getFramesPerSecond());
				super.act(delta);
			}
		};
		
		add(FPS).center();
		setSize(70, 70);
	}

}