package zero1hd.polyjet.ui.windows;

import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.utils.FloatArray;

import zero1hd.polyjet.ui.builders.AudioGraph;

public class GraphWindow extends Window {
	AudioGraph graph;
	
	public GraphWindow(String title, Skin skin) {
		super(title, skin);
		graph = new AudioGraph(300, 150);
		add(graph);
		setSize(305, 155);
	}
	
	@Override
	public void act(float delta) {
		super.act(delta);
	}
	
	public void setData(FloatArray dataSet1, FloatArray dataSet2) {
		graph.setGraphingData(dataSet1, dataSet2);
	}
	
	public AudioGraph getGraph() {
		return graph;
	}
	
}
